slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMESetType

Selects the particular solver to be used in the LME object.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetType(LME lme,LMEType type)

Logically Collective

### Input Parameters

| lme | - the linear matrix equation context
| type | - a known method

### Options Database Key

| -lme_type <method> | - Sets the method; use -help for a list of available methods

### Notes

See "slepc/include/slepclme.h" for available methods. The default is LMEKRYLOV

Normally, it is best to use the LMESetFromOptions() command and then set the LME type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the different available methods. The LMESetType() routine is provided for those situations where it is necessary to set the iterative solver independently of the command line or options database.

### See Also

LMEType

### Level

intermediate

### Location

src/lme/interface/lmebasic.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages